package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.UnitOtherConcat;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 单位其他联系人(unit_other_contact)数据层
 * @author ruoyi
 */
public interface UnitOtherConcatMapper extends BaseMapper<UnitOtherConcat>
{
    /**
     * 根据unitId逻辑删除
     */
    void deleteByUnitIds(Long id);

    /**
     * 根据assetId逻辑删除
     */
    void deleteByAssetIds(Long id);


    /**
     * 删除
     * @param idList
     */
    void deleteIdList(@Param("idList") List<Long> idList);
}
